#include<bits/stdc++.h>
using namespace std;

bool pravilo(pair<double,double> a,pair<double,double> b)
{
    return a.second>=b.second;
}

int main()
{
    ios::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n;
    double zb=0,mx=0;
    cin >> n;
    vector<pair<double,double>> v(n);
    for (int i=0;i<n;i++)
        cin >> v[i].first >> v[i].second;
    sort(v.begin(),v.end(),pravilo);
    for (int i=0;i<n;i++)
    {
        zb+=v[i].first;
        mx=max(mx,zb*v[i].second/100);
    }
    cout << fixed << showpoint << setprecision(4) << mx;
}